V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
MySQL 5.5 Community Server
MySQL 5.6 Community Server
Percona Configuration Wizard
XtraBackup 搭建主从复制
Great Sites on MySQL
Percona
MySQL Performance Blog
Severalnines
推荐管理工具
Sequel Pro
phpMyAdmin
推荐书目
MySQL Cookbook
MySQL 相关项目
MariaDB
Drizzle
参考文档
http://mysql-python.sourceforge.net/MySQLdb.html
qloog
V2EX  ›  MySQL

大家线上 mysql 数据库都用的是什么版本

  •  1
     
  •   qloog · 2020-05-10 15:27:55 +08:00 · 6129 次点击
    这是一个创建于 829 天前的主题,其中的信息可能已经有所发展或是发生改变。

    我接触到的公司用的比较多的是 5.6 版本,5.7 和 8.0 的比较少,不知大家所在公司都用的什么版本?

    第 1 条附言  ·  2020-05-10 16:48:34 +08:00
    如果在 docker-compose 里用,哪个版本(mysql 或 mairadb 都可以)是比较推荐的?有的版本貌似对 docker 不是太友好。
    第 2 条附言  ·  2020-05-10 16:50:50 +08:00
    另外 my.cnf 里的关键配置如果方便的话也可以帮忙提供下。
    第 3 条附言  ·  2020-05-10 18:42:51 +08:00
    用了 mysql 5.7.22, 目前没啥太大问题。
    41 条回复    2021-03-30 16:11:53 +08:00
    geekvcn
        1
    geekvcn  
       2020-05-10 15:32:57 +08:00   ❤️ 1
    mairadb 10.3
    jamesxu
        2
    jamesxu  
       2020-05-10 16:08:33 +08:00 via iPhone
    现在的项目直接 8.0
    axeprpr1
        3
    axeprpr1  
       2020-05-10 16:25:22 +08:00
    以前是 5.5 现在是 10.3 。 低版本一些扫漏工具会提示高危漏洞。其他没感觉。
    msg7086
        4
    msg7086  
       2020-05-10 16:26:46 +08:00 via Android
    Percona 5.7
    csl1995
        5
    csl1995  
       2020-05-10 16:32:56 +08:00
    5.7 很稳
    shatuo
        6
    shatuo  
       2020-05-10 16:45:05 +08:00
    8.x
    roundgis
        7
    roundgis  
       2020-05-10 17:29:59 +08:00 via Android
    maria 10.4
    syasuker
        8
    syasuker  
       2020-05-10 18:17:56 +08:00
    5.7 还是比较稳的
    littlewing
        9
    littlewing  
       2020-05-10 18:51:56 +08:00
    5.7.x
    Varobjs
        10
    Varobjs  
       2020-05-10 20:52:27 +08:00
    5.7.14
    fortunezhang
        11
    fortunezhang  
       2020-05-10 20:55:58 +08:00
    5.7.28
    vibbow
        12
    vibbow  
       2020-05-10 21:51:42 +08:00
    8.0.20
    ericbize
        13
    ericbize  
       2020-05-10 21:56:48 +08:00 via iPhone
    8.0 的翻车了
    MeteorCat
        14
    MeteorCat  
       2020-05-10 21:57:07 +08:00 via Android
    5.7 你们保存含有 emoji 数据的时候有没有出现数据截断或者丢失情况?
    qloog
        15
    qloog  
    OP
       2020-05-10 22:01:35 +08:00
    @MeteorCat 这个指定字符集 utf8mb4 就可以了,没有太大问题.
    HanMeiM
        16
    HanMeiM  
       2020-05-10 22:03:51 +08:00
    5.7 就够了,8.x 网上的文档还很少,出了问题不好解决
    MeteorCat
        17
    MeteorCat  
       2020-05-10 22:12:38 +08:00 via Android
    @qloog 5.7 支持了 mb4 了吗?支持开启看看
    MeteorCat
        18
    MeteorCat  
       2020-05-10 22:14:18 +08:00 via Android
    @qloog 看到最低版本了,原来 5.5.3 以上就支持了,那我开启转这个试试
    sunsmooth
        19
    sunsmooth  
       2020-05-10 23:03:32 +08:00
    我们也是用 mairadb
    linuxvalue
        20
    linuxvalue  
       2020-05-10 23:14:03 +08:00
    5.7
    scukmh
        21
    scukmh  
       2020-05-10 23:15:09 +08:00
    5.6
    nicebird
        22
    nicebird  
       2020-05-10 23:47:18 +08:00
    5.7
    ByteCat
        23
    ByteCat  
       2020-05-11 00:11:38 +08:00
    5.7 很稳
    zzw1998
        24
    zzw1998  
       2020-05-11 00:38:17 +08:00
    8.x
    CoderGeek
        25
    CoderGeek  
       2020-05-11 00:39:08 +08:00
    5.5~5.7 都有
    Hanggi
        26
    Hanggi  
       2020-05-11 07:27:32 +08:00
    已经弃用 MySQL
    qloog
        27
    qloog  
    OP
       2020-05-11 08:53:29 +08:00
    @Hanggi 现在用的什么?
    llussy
        28
    llussy  
       2020-05-11 09:21:32 +08:00
    5.6 5.7
    JavasBoy
        29
    JavasBoy  
       2020-05-11 09:53:15 +08:00
    5.7.2x
    realpg
        30
    realpg  
       2020-05-11 10:15:47 +08:00
    5.6 5.7 8.x
    yukiloh
        31
    yukiloh  
       2020-05-11 11:32:07 +08:00 via Android
    maria10
    egfegdfr
        32
    egfegdfr  
       2020-05-11 11:35:01 +08:00
    8.0
    xuanbg
        33
    xuanbg  
       2020-05-11 12:37:49 +08:00
    去年就升级为 8 了,然后有一点小坑,处理完就好了。
    Hanggi
        34
    Hanggi  
       2020-05-11 12:59:42 +08:00
    @qloog PostgreSQL
    qloog
        35
    qloog  
    OP
       2020-05-11 13:08:26 +08:00
    @xuanbg 可以分享分享踩过的坑
    qloog
        36
    qloog  
    OP
       2020-05-11 13:08:52 +08:00
    @xuanbg PostgreSQL 这个确实用的少,不过也很强大
    xuanbg
        37
    xuanbg  
       2020-05-11 13:31:57 +08:00
    @qloog 就是语法要求更严谨一些,原来 5.7 上没问题的 sql,8 上面可能会报错。跑一遍单元测试就知道有没有问题了,有问题也很容易改。
    blackboom
        38
    blackboom  
       2020-05-11 13:34:13 +08:00 via Android
    8.0
    fancy111
        39
    fancy111  
       2020-05-11 13:35:39 +08:00
    新项目就用 8
    0x1001
        40
    0x1001  
       2020-05-11 18:00:32 +08:00
    8.0
    zhaozs1
        41
    zhaozs1  
       2021-03-30 16:11:53 +08:00
    推荐用最新的官方的社区 mysql8.0.23 版本了,bug 基本都修复了,功能上合并了阿里的好多优化点.
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   3337 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 33ms · UTC 04:45 · PVG 12:45 · LAX 21:45 · JFK 00:45
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.